CentOs7 安装最新版的Git

  • 2019-07-25
  • 0

一、yum命令安装,此方法简单,并且会自动安装依赖的包,真是傻瓜式安装,而且会从源里安装最新的版本,不过不一定是git最新的。

yum install git

二、源码安装,这个就比较麻烦点,不过过程还是比较清晰的,毕竟源码安装也比较普遍了

1、安装前要手动安装下依赖包,可以直接是用yum安装

yum install -y wget
yum install gcc
yum install gcc-c++
yum install -y zlib-devel
yum install -y perl-ExtUtils-MakeMaker package

2、下载最新版本的git源码包,当然是要去官网下载了。我现在的最新版本是 git-2.18.0

wget https://mirrors.edge.kernel.org/pub/software/scm/git/git-2.18.0.tar.gz

3、接下来就是解压,配置,安装了,也不复杂

tar -zxvf git-2.18.0.tar.gz
cd git-2.18.0
./configure --prefix=/usr/local/git
make
make install

4、没有报错的话,那就要恭喜了,你已经完成了大部分了。如果出错一般是依赖包缺失,安装下就好,如果是其他的问题,请Google或其他搜索引擎吧。然后就是设置下环境变量PATH了,可以随处是用git。

echo "export PATH=$PATH:/usr/local/git/bin">>/etc/bashrc
source /etc/bashrc
git --version

5、一般这个时候是会出来你安装的版本的,不过我一开始安装依赖包的时候弄多了,把git安装了,系统默认给装的事1.8.3.1的,你可以卸载了它。然后重新生效下环境变量就可以了。

sudo yum remove git
source /etc/bashrc
git --version

到此安装完成了

异常问题:git fatal: Unable to find remote helper for ‘https’,解决:

安装后,进到git目录,重新编译

yum install curl-devel
cd git-2.18.0
./configure --prefix=/usr/local/git
make
make install